package com.template.services;

import com.template.model.pojo.SmartBuild;
import com.template.model.pojo.SmartBuild;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartBuildService extends IService<SmartBuild> {
    int insertSmartBuild(SmartBuild rns);

    int updateSmartBuild(SmartBuild rns);

    PageUtils<SmartBuild> queryPageSmartBuilds(int currentPage, int pageCount, String name);

    int deleteSmartBuildById(int id);

    SmartBuild getSmartById(int id);
}
